{% extends 'admin/base.html.twig' %}

{% block css %}
    <link rel="stylesheet" href="{{ asset('css/admin/menu/styles.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/menu/media.css') }}"/>
{% endblock %}

{% block jsscript %}
    <script src="{{ asset('js/admin/menu/menu.js') }}"></script>
{% endblock %}

{% block content %}
    <div class="title-block">
        <h2>Новый элемент меню</h2>
        <p>Добавление нового элемента в главное меню</p>
    </div>
    <div class="block-box">
        <div class="block-title">
            <p><span><i class="fas fa-pencil-alt"></i></span> Новый элемент</p>
        </div>
        <div class="block-content">
            <form class="form-general">
                <table class="table table-bordered table-container">
                    <tbody>
                    <tr>
                        <td>
                            <label>Название:</label>
                        </td>
                        <td>
                            <input type="text" name="name"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Icon:</label>
                        </td>
                        <td>
                            <input type="text" name="icon" placeholder="fas fa-home"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Страница (Url):</label>
                        </td>
                        <td>
                            <input type="text" name="link" style="margin-bottom: 20px;" readonly class="menu-item-url"/>
                            <div class="selector-item">
                                <label>Департменты: </label>
                                <select style="width: 15%" class="selector-departments">
                                    {% for department in departments %}
                                        <option value="{{ department.url }}">{{ department.name }}</option>
                                    {% endfor %}
                                </select>
                                <a href="" class="btn-action btn-add btn-add-url-department" style="margin-right: 50px"><i class="fas fa-plus"></i> Добавить</a>
                            </div>
                            <div class="selector-item">
                                <label>Категории: </label>
                                <select style="width: 15%" class="selector-categories">
                                    {% for category in categories %}
                                        <option value="{{ category.url }}">{{ category.name }}</option>
                                    {% endfor %}
                                </select>
                                <a href="" class="btn-action btn-add btn-add-url-category" style="margin-right: 50px"><i class="fas fa-plus"></i> Добавить</a>
                            </div>
                            <div class="selector-item">
                                <label>Статические страницы: </label>
                                <select style="width: 15%;" class="selector-static-pages">
                                    {% for staticPage in staticPages %}
                                        <option value="{{ staticPage.url }}">{{ staticPage.name }}</option>
                                    {% endfor %}
                                </select>
                                <a href="" class="btn-action btn-add btn-add-url-static-page"><i class="fas fa-plus"></i> Добавить</a>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Level:</label>
                        </td>
                        <td>
                            <select name="level" class= "selector-level" style="width: 15%;">
                                <option value="1">1</option>
                                <option value="2">2</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Parent:</label>
                        </td>
                        <td>
                            <select disabled class="selector-parents" name="parentId" style="width: 15%;">
                                {% for parent in parents %}
                                    <option value="{{ parent.id }}">{{ parent.name }}</option>
                                {% endfor %}
                            </select>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </form>
        </div>
        <div class="block-footer">
            <a href="" class="btn-action btn-save btn-add-menu-item"><i class="fas fa-check"></i> Сохранить</a>
        </div>
    </div>
{% endblock %}